%define upstream_name    Net-Ident
%define upstream_version 1.24

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(FileHandle\\)'
%define __noautoprov 'perl\\(FileHandle\\)'
%else
%define _provides_exceptions perl(FileHandle)
%endif

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Net::Ident - lookup the username on the remote end of a TCP/IP connection

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildArch:	noarch

%description
Net::Ident is a module that looks up the username on the remote
side of a TCP/IP connection through the ident (auth/tap) protocol
described in RFC1413 (which supersedes RFC931). Note that this
requires the remote site to run a daemon (often called identd) to
provide the requested information, so it is not always available
for all TCP/IP connections.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
yes "" | perl Makefile.PL INSTALLDIRS=vendor
%make
# tests are borked...
#make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Net/Ident.pm
%{_mandir}/*/*

%changelog
* Mon Jan 19 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.240.0-1
+ Revision: 2a74156
- Updated to 1.24 (by updates_builder)


